<?php

namespace Database\Seeders;

use Illuminate\Support\Facades\Date;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Region;
use App\Models\Barrio;
use App\Models\Producto;
use App\Models\Categoria;

class TestDataSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $barrioPrueba = Barrio::find(1);
        $productoBarrial = $barrioPrueba->productos()->create([
            'nombre'  => 'Producto Barrial',
            'precio' => 100,
            'solidario' => true,
            'bono' => true,
            'barrial' => true,
            'categoria_id' => Categoria::firstOrCreate([
                'nombre' => 'PRODUCTOS BARRIALES'
            ])->id
        ]);
        $pedido = $barrioPrueba->crearPedido("Pedido de prueba");
        $pedido->agregarProducto($productoBarrial, 2);
        $pedido->agregarProducto(Producto::find(1), 1);
        $segundoPedido = $barrioPrueba->crearPedido("Segunda prueba");
        $segundoPedido->agregarProducto($productoBarrial, 5);
        $tercerPedido = $barrioPrueba->crearPedido("Tercera prueba");
        $tercerPedido->agregarProducto($productoBarrial, 3);
    }
}
